<?php
// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

// Delete plugin options
delete_option( 'rethumbify_settings' );
delete_option( 'rethumbify_completion_email_sent' );

// Delete the status table
global $wpdb;
$table_name = $wpdb->prefix . 'rethumbify_status';
$wpdb->query( "DROP TABLE IF EXISTS $table_name" );

// Clean up any scheduled cron jobs

if(class_exists('ActionScheduler') && function_exists('as_unschedule_all_actions')){
    as_unschedule_all_actions( 'rethumbify_process_single_image' );
}

// Delete license-related options
// $package_slug = 'rethumbify';
// delete_option( 'license_key_' . $package_slug );
// delete_option( 'license_signature_' . $package_slug );
// delete_option( 'wppu_' . $package_slug . '_license_error' );

wp_cache_delete( 'rethumbify_total_images' );
wp_cache_delete( 'rethumbify_image_ids' );

// Delete log file
$upload_dir = wp_upload_dir();
$log_file = trailingslashit($upload_dir['basedir']) . 'rethumbify.log';
if (file_exists($log_file)) {
    wp_delete_file($log_file);
}

wp_cache_flush();